using System;
using System.Windows.Controls;
using System.Windows.Media.Imaging;

namespace FlickrSlideShow
{
    public partial class Thumbnail : UserControl
    {
        public Thumbnail()
        {
            InitializeComponent();
        }

        public String ImageSource { get; set; }

        public Thumbnail(string imgSource)
        {
            InitializeComponent();
            ImageSource = imgSource;
            Uri uri = new Uri(imgSource, UriKind.RelativeOrAbsolute);
            BitmapImage img = new System.Windows.Media.Imaging.BitmapImage(uri);
            thumbnailImage.SetValue(Image.SourceProperty, img);
        }

    }
}
